Bug 763140 - (GLUSTER-1408) glusterd continues despite directory creation fails.
glusterd continues despite directory creation fails.
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Sachidananda Urs
Depends On:
  Show dependency treegraph
Reported: 2010-08-20 02:42 EDT by Sachidananda Urs
Modified: 2010-08-21 08:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sachidananda Urs 2010-08-19 23:44:16 EDT
[2010-08-20 06:38:29.415524] C [glusterd.c:215:init] management: Unable to create directory /etc/glusterd ,errno = 2
[2010-08-20 06:38:29.415561] I [glusterd.c:220:init] management: Using /etc/glusterd as working directory
[2010-08-20 06:38:29.415579] C [glusterd.c:229:init] management: Unable to create volume directory /etc/glusterd/vols ,errno = 2
[2010-08-20 06:38:29.415594] C [glusterd.c:239:init] management: Unable to create peers directory /etc/glusterd/peers ,errno = 2
Comment 1 Sachidananda Urs 2010-08-20 02:42:26 EDT
When glusterd fails to create management directories it fails with return value 0.
Comment 2 Anand Avati 2010-08-21 05:17:05 EDT
PATCH: http://patches.gluster.com/patch/4220 in master (xlators/mgmt: exit if directory creation fails.)

Note You need to log in before you can comment on or make changes to this bug.